# Go API client for swagger

Take screenshots of any website in real time

## Overview
This API client was generated by the [swagger-codegen](https://github.com/swagger-api/swagger-codegen) project.  By using the [swagger-spec](https://github.com/swagger-api/swagger-spec) from a remote server, you can easily generate an API client.

- API version: 1.16.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.languages.GoClientCodegen
For more information, please visit [https://browshot.com/contact](https://browshot.com/contact)

## Installation
Put the package under your project folder and add the following in import:
```
    "./swagger"
```

## Documentation for API Endpoints

All URIs are relative to *https://api.browshot.com/api/v1*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AccountApi* | [**AccountInfoGet**](docs/AccountApi.md#accountinfoget) | **Get** /account/info | Get information about your account.
*BatchApi* | [**BatchCeatePost**](docs/BatchApi.md#batchceatepost) | **Post** /batch/ceate | Requests thousands of screenshtos at once
*BatchApi* | [**BatchInfoGet**](docs/BatchApi.md#batchinfoget) | **Get** /batch/info | Get the batch status
*BrowserApi* | [**BrowserInfoGet**](docs/BrowserApi.md#browserinfoget) | **Get** /browser/info | Get information about a browser
*BrowserApi* | [**BrowserListGet**](docs/BrowserApi.md#browserlistget) | **Get** /browser/list | Get all browsers
*InstanceApi* | [**InstanceInfoGet**](docs/InstanceApi.md#instanceinfoget) | **Get** /instance/info | Get information about an instance
*InstanceApi* | [**InstanceListGet**](docs/InstanceApi.md#instancelistget) | **Get** /instance/list | Get all instances
*ScreenshotApi* | [**ScreenshotCreateGet**](docs/ScreenshotApi.md#screenshotcreateget) | **Get** /screenshot/create | Request a screenshot
*ScreenshotApi* | [**ScreenshotDeleteGet**](docs/ScreenshotApi.md#screenshotdeleteget) | **Get** /screenshot/delete | Delete screenshot data
*ScreenshotApi* | [**ScreenshotHostGet**](docs/ScreenshotApi.md#screenshothostget) | **Get** /screenshot/host | Host thumbnails on your own S3 account or on Browshot.
*ScreenshotApi* | [**ScreenshotHtmlGet**](docs/ScreenshotApi.md#screenshothtmlget) | **Get** /screenshot/html | Get the HTML code
*ScreenshotApi* | [**ScreenshotInfoGet**](docs/ScreenshotApi.md#screenshotinfoget) | **Get** /screenshot/info | Query screenshot status
*ScreenshotApi* | [**ScreenshotListGet**](docs/ScreenshotApi.md#screenshotlistget) | **Get** /screenshot/list | Get information about the last 100 screenshots requested.
*ScreenshotApi* | [**ScreenshotMultipleGet**](docs/ScreenshotApi.md#screenshotmultipleget) | **Get** /screenshot/multiple | Request multiple screenshots
*ScreenshotApi* | [**ScreenshotSearchGet**](docs/ScreenshotApi.md#screenshotsearchget) | **Get** /screenshot/search | Search for screenshots of a specific URL.
*ScreenshotApi* | [**ScreenshotShareGet**](docs/ScreenshotApi.md#screenshotshareget) | **Get** /screenshot/share | Share a screenshot
*ScreenshotApi* | [**ScreenshotThumbnailGet**](docs/ScreenshotApi.md#screenshotthumbnailget) | **Get** /screenshot/thumbnail | Retrieve a thumbnail image


## Documentation For Models

 - [Account](docs/Account.md)
 - [AccountError](docs/AccountError.md)
 - [Batch](docs/Batch.md)
 - [BatchError](docs/BatchError.md)
 - [Browser](docs/Browser.md)
 - [BrowserError](docs/BrowserError.md)
 - [BrowserList](docs/BrowserList.md)
 - [Instance](docs/Instance.md)
 - [InstanceError](docs/InstanceError.md)
 - [InstanceList](docs/InstanceList.md)
 - [Screenshot](docs/Screenshot.md)
 - [ScreenshotError](docs/ScreenshotError.md)
 - [ScreenshotHost](docs/ScreenshotHost.md)
 - [ScreenshotInfoError](docs/ScreenshotInfoError.md)
 - [ScreenshotList](docs/ScreenshotList.md)
 - [ScreenshotShort](docs/ScreenshotShort.md)


## Documentation For Authorization


## apiKeyQuery

- **Type**: API key 
- **API key parameter name**: key
- **Location**: URL query string


## Author

support@browshot.com

