# \ScreenshotApi

All URIs are relative to *https://api.browshot.com/api/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**ScreenshotCreateGet**](ScreenshotApi.md#ScreenshotCreateGet) | **Get** /screenshot/create | Request a screenshot
[**ScreenshotDeleteGet**](ScreenshotApi.md#ScreenshotDeleteGet) | **Get** /screenshot/delete | Delete screenshot data
[**ScreenshotHostGet**](ScreenshotApi.md#ScreenshotHostGet) | **Get** /screenshot/host | Host thumbnails on your own S3 account or on Browshot.
[**ScreenshotHtmlGet**](ScreenshotApi.md#ScreenshotHtmlGet) | **Get** /screenshot/html | Get the HTML code
[**ScreenshotInfoGet**](ScreenshotApi.md#ScreenshotInfoGet) | **Get** /screenshot/info | Query screenshot status
[**ScreenshotListGet**](ScreenshotApi.md#ScreenshotListGet) | **Get** /screenshot/list | Get information about the last 100 screenshots requested.
[**ScreenshotMultipleGet**](ScreenshotApi.md#ScreenshotMultipleGet) | **Get** /screenshot/multiple | Request multiple screenshots
[**ScreenshotSearchGet**](ScreenshotApi.md#ScreenshotSearchGet) | **Get** /screenshot/search | Search for screenshots of a specific URL.
[**ScreenshotShareGet**](ScreenshotApi.md#ScreenshotShareGet) | **Get** /screenshot/share | Share a screenshot
[**ScreenshotThumbnailGet**](ScreenshotApi.md#ScreenshotThumbnailGet) | **Get** /screenshot/thumbnail | Retrieve a thumbnail image


# **ScreenshotCreateGet**
> Screenshot ScreenshotCreateGet($url, $instanceId, $size, $cache, $delay, $flashDelay, $screenWidth, $screenHeight, $priority, $referer, $postData, $cookie, $script, $details, $html, $maxWait, $headers, $shots, $shotInterval, $hosting, $hostingHeight, $hostingWidth, $hostingScale, $hostingBucket, $hostingFile, $hostingHeaders)

Request a screenshot

Screenshots requests to private and shared instances require a positive balance.  *IMPORTANT*: Remember that you can only do 100 free screenshots per month. To used a premium instance, use instance_id=65 for example. 


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **url** | **string**| URL of the page to get a screenshot for | 
 **instanceId** | **int32**| instance ID to use | 
 **size** | **string**| screenshot size - \&quot;screen\&quot; (default) or \&quot;page\&quot; | [optional] [default to screen]
 **cache** | **int32**| use a previous screenshot (same URL, same instance) if it was done within &lt;cache_value&gt; seconds. The default value is 24hours. Specify cache&#x3D;0 if you want a new screenshot. | [optional] [default to 86400]
 **delay** | **int32**| number of seconds to wait after the page has loaded. This is used to let JavaScript run longer before taking the screenshot. Use delay&#x3D;0 to take screenshots faster. | [optional] [default to 5]
 **flashDelay** | **int32**| number of seconds to wait after the page has loaded if Flash elements are present. Use flash_delay&#x3D;0 to take screenshots faster. | [optional] [default to 10]
 **screenWidth** | **int32**| width of the browser window. For desktop browsers only. | [optional] [default to 1024]
 **screenHeight** | **int32**| height of the browser window. For desktop browsers only. (Note: full-page screenshots can have a height of up to 15,000px) | [optional] [default to 768]
 **priority** | **int32**| assign priority to the screenshot (for private instances only) | [optional] 
 **referer** | **string**| use a custom referrer header - paid screenshots only | [optional] 
 **postData** | **string**| send a POST requests with post_data, useful for filling out forms - paid screenshots only | [optional] 
 **cookie** | **string**| set a cookie for the URL requested (see Custom POST Data, Referer and Cookie) Cookies should be separated by a ; - paid screenshots only | [optional] 
 **script** | **string**| URL of javascript file to execute after the page load event | [optional] 
 **details** | **int32**| level of information available with screenshot/info | [optional] [default to 2]
 **html** | **int32**| saves the HTML of the rendered page which can be retrieved by the API call screenshot/html. This feature costs *1 credit* per screenshot. | [optional] [default to 0]
 **maxWait** | **int32**| maximum number of seconds to wait before triggering the PageLoad event. Note that delay will still be used. (default: 0 &#x3D; disabled) | [optional] [default to 0]
 **headers** | **string**| any custom HTTP headers. (Not supported with Internet Explorer) | [optional] 
 **shots** | **int32**| take multiple screenshots of the same page. This costs 1 additional credit for every 2 additional screenshots. | [optional] [default to 1]
 **shotInterval** | **int32**| number of seconds between 2 screenshots | [optional] [default to 5]
 **hosting** | **string**| hosting option - s3 or browshot | [optional] 
 **hostingHeight** | **int32**| maximum height of the thumbnail to host | [optional] 
 **hostingWidth** | **int32**| maximum height of the thumbnail to host | [optional] 
 **hostingScale** | **float32**| scale of the thumbnail to host | [optional] [default to 1]
 **hostingBucket** | **string**| S3 bucket to upload the screenshot or thumbnail (required for S3) | [optional] 
 **hostingFile** | **string**| file name to use (for S3 only) | [optional] 
 **hostingHeaders** | **string**| list of headers to add to the S3 object (for S3 only) | [optional] 

### Return type

[**Screenshot**](Screenshot.md)

### Authorization

[apiKeyQuery](../README.md#apiKeyQuery)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ScreenshotDeleteGet**
> []ScreenshotShort ScreenshotDeleteGet($id, $data)

Delete screenshot data

You can delete details of your screenshots to remove any confidential information. 


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **int32**| screenshot ID | 
 **data** | **string**| data to remove. You can specify multiple of them (separated by a ,): *image* (image files), *url* (url requested), *metadata* (time added, time finished, post data, cookie and referer used for the screenshot), *all* (all data and files)  | [optional] [default to image]

### Return type

[**[]ScreenshotShort**](ScreenshotShort.md)

### Authorization

[apiKeyQuery](../README.md#apiKeyQuery)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ScreenshotHostGet**
> []ScreenshotHost ScreenshotHostGet($id, $hosting, $width, $height, $scale, $bucket, $file, $headers)

Host thumbnails on your own S3 account or on Browshot.

You can host screenshots and thumbnails on your own S3 account or on Browshot.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **int32**| screenshot ID | 
 **hosting** | **string**| hosting option: s3 or browshot | 
 **width** | **int32**| width of the thumbnail | [optional] 
 **height** | **int32**| height of the thumbnail | [optional] 
 **scale** | **float64**| scale of the thumbnail | [optional] [default to 1]
 **bucket** | **string**| S3 bucket to upload the screenshot or thumbnail - required with hosting&#x3D;s3 | [optional] 
 **file** | **string**| file name to use - optional, used with hosting&#x3D;s3 | [optional] 
 **headers** | **string**| HTTP headers to add to your S3 object - optional, used with hosting&#x3D;s3 | [optional] 

### Return type

[**[]ScreenshotHost**](ScreenshotHost.md)

### Authorization

[apiKeyQuery](../README.md#apiKeyQuery)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ScreenshotHtmlGet**
> ScreenshotHtmlGet($id)

Get the HTML code

Retrieve the HTML code of the rendered page. This API call should be used when html=1 was specified in the screenshot request. 


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **int32**| screenshot ID | 

### Return type

void (empty response body)

### Authorization

[apiKeyQuery](../README.md#apiKeyQuery)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: text/html

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ScreenshotInfoGet**
> []Screenshot ScreenshotInfoGet($id, $details)

Query screenshot status

Once a screenshot has been requested, its status must be checked until it is either \"error\" or \"finished\".


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **int32**| screenshot ID received from /api/v1/screenshot/create | 
 **details** | **int32**| level of details about the screenshot and the page | [optional] [default to 2]

### Return type

[**[]Screenshot**](Screenshot.md)

### Authorization

[apiKeyQuery](../README.md#apiKeyQuery)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ScreenshotListGet**
> []ScreenshotList ScreenshotListGet($limit, $status)

Get information about the last 100 screenshots requested.

Get information about the last 100 screenshots requested.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **int32**| maximum number of screenshots&#39; information to return | [optional] [default to 100]
 **status** | **string**| get list of screenshot in a given status (error, finished, in_process) | [optional] 

### Return type

[**[]ScreenshotList**](ScreenshotList.md)

### Authorization

[apiKeyQuery](../README.md#apiKeyQuery)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ScreenshotMultipleGet**
> ScreenshotList ScreenshotMultipleGet($url, $instanceId, $size, $cache, $delay, $flashDelay, $screenWidth, $screenHeight, $priority, $referer, $postData, $cookie, $script, $details, $html, $maxWait, $headers, $hosting, $hostingHeight, $hostingWidth, $hostingScale, $hostingBucket, $hostingFile, $hostingHeaders)

Request multiple screenshots

Request multiple screenshots in one API call. The API call accepts all the parameters supported by screenshot/create. You can specify up to 10 URLs and 10 instances for a total of 100 screenshots in one API call. 


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **url** | **string**| URL of the page to get a screenshot for. You can specify multiple url parameters (up to 10). | 
 **instanceId** | **int32**| instance ID to use. You can specify multiple instance_id parameters (up to 10). | 
 **size** | **string**| screenshot size - \&quot;screen\&quot; (default) or \&quot;page\&quot; | [optional] [default to screen]
 **cache** | **int32**| use a previous screenshot (same URL, same instance) if it was done within &lt;cache_value&gt; seconds. The default value is 24hours. Specify cache&#x3D;0 if you want a new screenshot. | [optional] [default to 86400]
 **delay** | **int32**| number of seconds to wait after the page has loaded. This is used to let JavaScript run longer before taking the screenshot. Use delay&#x3D;0 to take screenshots faster. | [optional] [default to 5]
 **flashDelay** | **int32**| number of seconds to wait after the page has loaded if Flash elements are present. Use flash_delay&#x3D;0 to take screenshots faster. | [optional] [default to 10]
 **screenWidth** | **int32**| width of the browser window. For desktop browsers only. | [optional] [default to 1024]
 **screenHeight** | **int32**| height of the browser window. For desktop browsers only. (Note: full-page screenshots can have a height of up to 15,000px) | [optional] [default to 768]
 **priority** | **int32**| assign priority to the screenshot (for private instances only) | [optional] 
 **referer** | **string**| use a custom referrer header - paid screenshots only | [optional] 
 **postData** | **string**| send a POST requests with post_data, useful for filling out forms - paid screenshots only | [optional] 
 **cookie** | **string**| set a cookie for the URL requested (see Custom POST Data, Referer and Cookie) Cookies should be separated by a ; - paid screenshots only | [optional] 
 **script** | **string**| URL of javascript file to execute after the page load event | [optional] 
 **details** | **int32**| level of information available with screenshot/info | [optional] [default to 2]
 **html** | **int32**| saves the HTML of the rendered page which can be retrieved by the API call screenshot/html. This feature costs *1 credit* per screenshot. | [optional] [default to 0]
 **maxWait** | **int32**| maximum number of seconds to wait before triggering the PageLoad event. Note that delay will still be used. (default: 0 &#x3D; disabled) | [optional] [default to 0]
 **headers** | **string**| any custom HTTP headers. (Not supported with Internet Explorer) | [optional] 
 **hosting** | **string**| hosting option - s3 or browshot | [optional] 
 **hostingHeight** | **int32**| maximum height of the thumbnail to host | [optional] 
 **hostingWidth** | **int32**| maximum height of the thumbnail to host | [optional] 
 **hostingScale** | **float32**| scale of the thumbnail to host | [optional] [default to 1]
 **hostingBucket** | **string**| S3 bucket to upload the screenshot or thumbnail (required for S3) | [optional] 
 **hostingFile** | **string**| file name to use (for S3 only) | [optional] 
 **hostingHeaders** | **string**| list of headers to add to the S3 object (for S3 only) | [optional] 

### Return type

[**ScreenshotList**](ScreenshotList.md)

### Authorization

[apiKeyQuery](../README.md#apiKeyQuery)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ScreenshotSearchGet**
> []ScreenshotList ScreenshotSearchGet($url, $limit, $status)

Search for screenshots of a specific URL.

Search for screenshots of a specific URL.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **url** | **string**| look for a string matching the URL requested | 
 **limit** | **int32**| maximum number of screenshots&#39; information to return | [optional] [default to 50]
 **status** | **string**| get list of screenshot in a given status (error, finished, in_process) | [optional] 

### Return type

[**[]ScreenshotList**](ScreenshotList.md)

### Authorization

[apiKeyQuery](../README.md#apiKeyQuery)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ScreenshotShareGet**
> []ScreenshotHost ScreenshotShareGet($id, $note)

Share a screenshot

You can make your screenshots public, add notes, and share it with your friends and colleagues. Only screenshots which are successfully completed can be shared.n the thumbnail. You can take a 1024x768 screenshot, crop it to 768x768, and get it scaled down to 300x300. 


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **int32**| screenshot ID | 
 **note** | **string**| note to add on the sharing page | [optional] 

### Return type

[**[]ScreenshotHost**](ScreenshotHost.md)

### Authorization

[apiKeyQuery](../README.md#apiKeyQuery)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ScreenshotThumbnailGet**
> ScreenshotThumbnailGet($id, $width, $height, $scale, $zoom, $ratio, $left, $right, $top, $bottom, $format, $shot, $quality)

Retrieve a thumbnail image

Unlike the other API calls, this API sends back the thumbnail as a PNG file, not JSON. The HTTP response code indicates whether the screenshot was successful (200), or incomplete (404) or failed (404). If the screenshot failed or is not finished, a default image \"Not found\" is sent.  You can crop your screenshots. The crop is done first, then the thumbnail. You can take a 1024x768 screenshot, crop it to 768x768, and get it scaled down to 300x300. 


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **int32**| screenshot ID | 
 **width** | **int32**| width of the thumbnail | [optional] 
 **height** | **int32**| height of the thumbnail | [optional] 
 **scale** | **float64**| scale of the thumbnail | [optional] [default to 1]
 **zoom** | **int32**| zoom 1 to 100 percent | [optional] [default to 100]
 **ratio** | **string**| Use fit to keep the original page ration, and fill to get a thumbnail for the exact width and height.  specified. If you provide both width and height, you need to specify the ratio: fit to keep the original width/height ratio (the thumbnail might be smaller than the specified width and height), or fill to crop the image if necessary. | [optional] [default to fit]
 **left** | **int32**| left edge of the area to be cropped | [optional] [default to 0]
 **right** | **int32**| right edge of the area to be cropped | [optional] [default to 0]
 **top** | **int32**| top edge of the area to be cropped | [optional] [default to 0]
 **bottom** | **int32**| bottom edge of the area to be cropped | [optional] 
 **format** | **string**| image as PNG or JPEG | [optional] [default to png]
 **shot** | **int32**| get the second or third screenshot if multiple screenshots were requested | [optional] [default to 1]
 **quality** | **int32**| JPEG quality factor (for JPEG thumbnails only) | [optional] [default to 100]

### Return type

void (empty response body)

### Authorization

[apiKeyQuery](../README.md#apiKeyQuery)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: image/png, image/jpeg

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

